Closed Bug 1294697 Opened 4 years ago Closed 4 years ago

Stop overwriting ss->version in early parts of the handshake

Categories

(NSS :: Libraries, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: ekr, Unassigned)

References

Details

The various versions are really confusing. We should use ss->version for what we actually negotiated, the ranges for what we want, and remove version from the cipher suite.
Depends on: 1307772
https://nss-dev.phacility.com/D67

https://hg.mozilla.org/projects/nss/rev/295feaebef58b62c89e9ee0f7b71408c74e18db2
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → 3.28
See Also: → 1398643
You need to log in before you can comment on or make changes to this bug.